# FindAndPickArOverlayPolygonConfiguration class

Configuration of the overlay polygon displayed on top of a barcode in the camera preview.

## Constructors

FindAndPickArOverlayPolygonConfiguration({bool visible = true, PolygonStyle? partiallyScanned, PolygonStyle? rejected, PolygonStyle? completed})
FindAndPickArOverlayPolygonConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

completed ↔ PolygonStyle
  Appearance of the overlay polygon when a barcode is completed.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
partiallyScanned ↔ PolygonStyle
  Appearance of the overlay polygon when a barcode is partially scanned.
  getter/setter pair
rejected ↔ PolygonStyle
  Appearance of the overlay polygon when a barcode is rejected.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
visible ↔ bool
  Control the visibility of the overlay polygon.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited